Bug 77512 - mail/cclient port: imap-uw IMAPS not working over IPv6 (IP=6 definition)
Summary: mail/cclient port: imap-uw IMAPS not working over IPv6 (IP=6 definition)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Anders Nordby
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-14 15:00 UTC by Panagiotis Christias
Modified: 2005-05-30 20:58 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Panagiotis Christias 2005-02-14 15:00:38 UTC
Using the ports cclient-2004c1_1,1 and imap-uw-2004c1,1 IMAPS is not working over IPv6. When connecting to port 993 the imapd responds in plain IMAP.

Fix: 

The "IP=6" option should be defined in imap-2004c1/Makefile not in imap-2004c1/src/osdep/unix/Makefile.
How-To-Repeat: Install mail/cclient and mail/imap-uw ports. Then try "telnet -6 :: imaps".
Comment 1 Volker Stolz freebsd_committer 2005-02-16 08:56:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->anders

Over to maintainer
Comment 2 Anders Nordby freebsd_committer 2005-05-30 20:58:32 UTC
State Changed
From-To: open->closed

Fix committed, thanks.